pbs_password(8B)

NAME
pbs_password - set or update password of a PBS user

SYNOPSIS
pbs_password [-d] [-r] [-s <server>] [<username>]
pbs_password --version

DESCRIPTION
The pbs_password command is used to set or update the password of a PBS user. The user does not have to have any jobs on the system.

Available on Windows and supported Linux x86 and x86_64 platforms only.

The pbs_password command has no effect on running jobs. Queued jobs use the new password.

The pbs_password command does not change the user's login password on the current host, only the password that is cached in PBS.

The pbs_password command encrypts the password obtained from the user before sending it to the PBS server. Required Privilege
An unprivileged user can use the command to set or update their own password. Root or Admin can use this command to set or update the password of another user.

OPTIONS

(no options)
    The user executing this command is prompted for a new password. This user's password credential on the default PBS server is updated to the prompted password. Any user jobs previously held due to an invalid password are not released.

-d  Deletes password. If username is not specified, deletes the password of the current user. If username is specified and the current user is root or Admin, deletes the password of the specified user.

-r  Any user jobs previously held due to an invalid password are released.

-s <server>
    The server where the password is to be changed.

<username>
    The password credential of user username is updated to the prompted password. If username is not the current user, this action is only allowed if one of the following is true:

    1.  The current user is root or Admin

    2.  User username has given the current user explicit access via the ruserok() mechanism:

        a.  The hostname of the machine from which the current user is logged in appears in the server's hosts.equiv file, or

        b.  The current user has an entry in username's HOMEDIR\.rhosts file.

--version
    The pbs_password command returns its PBS version information and exits. This option can only be used alone.

EXIT STATUS

0   Success

-1  single_signon_password_enable not set

-2  Password of username on server failed to be created/updated

-3  Failed to release jobs held due to bad password owned by username on server

-4  Failed to delete password of username on server

-5  Current user not authorized to change password of username

SEE ALSO
qhold(1B), qrls(1B), qselect(1B), ruserok()